Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.service.binding
Class MessageBindingProvider

    java.lang.Object
      org.codehaus.xfire.service.binding.MessageBindingProvider

All Implemented Interfaces:
  BindingProvider

    public class MessageBindingProvider

extends java.lang.Object
implements BindingProvider

Constructor Summary
`MessageBindingProvider()`

Method Summary
`SchemaType` | `getSchemaType(Service service, MessagePartInfo param)`
`javax.xml.namespace.QName` | `getSuggestedName(Service service, OperationInfo op, int param)` Gives a binding the chance to suggest a name for a particular parameter.
`void` | `initialize(Service newParam)`
`java.lang.Object` | `readHeader(MessageHeaderInfo p, MessageContext context)`
`java.lang.Object` | `readParameter(MessagePartInfo p, javax.xml.stream.XMLStreamReader reader, MessageContext context)`
`void` | `writeHeader(MessagePartInfo p, MessageContext context, java.lang.Object value)`
`void` | `writeParameter(MessagePartInfo p, javax.xml.stream.XMLStreamWriter writer, MessageContext context, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageBindingProvider

    public MessageBindingProvider()

Method Detail

### initialize

    public void initialize(Service newParam)

  Specified by:
    `initialize` in interface `BindingProvider`

### readParameter

    public java.lang.Object readParameter(MessagePartInfo p,
                                          javax.xml.stream.XMLStreamReader reader,
                                          MessageContext context)
                                   throws XFireFault

  Specified by:
    `readParameter` in interface `BindingProvider`
  Throws:
    `XFireFault`

### writeParameter

    public void writeParameter(MessagePartInfo p,
                               javax.xml.stream.XMLStreamWriter writer,
                               MessageContext context,
                               java.lang.Object value)
                        throws XFireFault

  Specified by:
    `writeParameter` in interface `BindingProvider`
  Throws:
    `XFireFault`

### getSuggestedName

    public javax.xml.namespace.QName getSuggestedName(Service service,
                                                      OperationInfo op,
                                                      int param)

  Description copied from interface: `BindingProvider`
  Gives a binding the chance to suggest a name for a particular parameter.

  Specified by:
    `getSuggestedName` in interface `BindingProvider`
    `param` - The index of the parameter. -1 specifies the return parameter.
  Returns:
    The suggestion. null if there isn't a suggestion.

### getSchemaType

    public SchemaType getSchemaType(Service service,
                                    MessagePartInfo param)

### readHeader

    public java.lang.Object readHeader(MessageHeaderInfo p,
                                       MessageContext context)
                                throws XFireFault

  Specified by:
    `readHeader` in interface `BindingProvider`
  Throws:
    `XFireFault`

### writeHeader

    public void writeHeader(MessagePartInfo p,
                            MessageContext context,
                            java.lang.Object value)
                     throws XFireFault

  Specified by:
    `writeHeader` in interface `BindingProvider`
  Throws:
    `XFireFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.